Bug 90897 - Kernel-smp hangs when looking for new hardware
Kernel-smp hangs when looking for new hardware
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-05-15 02:57 EDT by Colin Adams
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Colin Adams 2003-05-15 02:57:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
I upgraded from kernel-smp 2.4.20-9 to 2.4.20-13.9, as it was made available.
Upon re-booting, a load of error messages flashed past me when checking for
module depenedencies - the last readable message was something about  
a segmentation violation for audigy (I have a Soundblaster audigy card fitted,
and it works fine with 2.4.20-9).

Then upon reaching "Checking for new hardware", the system hangs. I can hit
Ctrl-Alt-Del, and it switches to runlevel 6, but nothing else will cause a response.

I had to reboot and run an interactive boot session, to bypass kudzu starting
(and most other services - when I first tried it also hung on starting the
loopback device).
Then I had to re-install 2.4.20-9 - I was disappointed that the upgrade process
did not leave the previous kernel in the /boot partition and grub. I would have
thought this would be an elementary precaution.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Insure Audigy card is installed and working.
2. Upgrade to kernel-smp-2.4.20-13.9
3. Reboot

Actual Results:  Hangs seraching for new hardware.

Expected Results:  System boots.

Additional info:
Comment 1 Alan Cox 2003-06-08 09:49:47 EDT
Should be fixed in current errata. Let me know if not
Comment 2 Colin Adams 2003-06-08 09:59:33 EDT
Yes, the problem has gone away.
Thank you.
Comment 3 Bugzilla owner 2004-09-30 11:40:55 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.